/*
 * LevenshteinDynamicProgramming.cpp
 *
 *  Created on: 4. 5. 2018
 *      Author: Tomas Capek
 */

#include "LevenshteinDynamicProgramming.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace simulations {

auto LevenshteinDynamicProgrammingLinearString = registration::AbstractRegister < LevenshteinDynamicProgramming, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > &, unsigned > ( LevenshteinDynamicProgramming::search );

} /* namespace simulations */

} /* namespace stringology */
