/*
 * ReversedQuickSearchBadCharacterShiftTable.cpp
 *
 *  Created on: 21. 3. 2018
 *	  Author: Michal Cvach
 */

#include "ReversedQuickSearchBadCharacterShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

namespace properties {

auto ReversedQuickSearchBadCharacterShiftTablePrefixRankedBarPattern = registration::AbstractRegister < ReversedQuickSearchBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarPattern < > & > ( ReversedQuickSearchBadCharacterShiftTable::bcs );
auto ReversedQuickSearchBadCharacterShiftTablePrefixRankedBarNonlinearPattern = registration::AbstractRegister < ReversedQuickSearchBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarNonlinearPattern < > & > ( ReversedQuickSearchBadCharacterShiftTable::bcs );
auto ReversedQuickSearchBadCharacterShiftTablePrefixRankedPattern = registration::AbstractRegister < ReversedQuickSearchBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedPattern < > & > ( ReversedQuickSearchBadCharacterShiftTable::bcs );
auto ReversedQuickSearchBadCharacterShiftTablePrefixRankedNonlinearPattern = registration::AbstractRegister < ReversedQuickSearchBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedNonlinearPattern < > & > ( ReversedQuickSearchBadCharacterShiftTable::bcs );

} /* namespace properties */

} /* namespace tree */
