/*
 * Random.h
 *
 *  Created on: 18. 3. 2019
 *	  Author: Jan Travnicek
 */

#include "Random.h"
#include <registration/AlgoRegistration.hpp>

namespace debug {

auto RandomInt = registration::AbstractRegister < Random < int >, int > ( Random < int >::random );
auto RandomUnsigned = registration::AbstractRegister < Random < unsigned >, unsigned > ( Random < unsigned >::random );

} /* namespace debug */
