/*
 * CompactSuffixAutomatonTerminatingSymbol.cpp
 *
 *  Created on: Jan 8, 2017
 *      Author: Jan Travnicek
 */

#include "CompactSuffixAutomatonTerminatingSymbol.h"

#include <registration/CastRegistration.hpp>
#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto DFAFromSuffixAutomaton = registration::CastRegister < automaton::CompactDFA < DefaultSymbolType, unsigned >, indexes::stringology::CompactSuffixAutomatonTerminatingSymbol < > > ( );

static auto valuePrinter = registration::ValuePrinterRegister < indexes::stringology::CompactSuffixAutomatonTerminatingSymbol < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < indexes::stringology::CompactSuffixAutomatonTerminatingSymbol < > > ( );
static auto xmlRead = registration::XmlReaderRegister < indexes::stringology::CompactSuffixAutomatonTerminatingSymbol < > > ( );

static auto xmlGroup = registration::XmlRegisterTypeInGroup < object::Object, indexes::stringology::CompactSuffixAutomatonTerminatingSymbol < > > ( );

} /* namespace */
