/*
 * ExactNonlinearTreePatternAutomaton.cpp
 *
 *  Created on: 7. 4. 2015
 *      Author: Jan Travnicek
 */

#include "ExactNonlinearTreePatternAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace exact {

auto ExactNonlinearTreePatternAutomatonPrefixRankedTree = registration::AbstractRegister < ExactNonlinearTreePatternAutomaton, automaton::InputDrivenNPDA < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, char, ext::pair < unsigned, unsigned > >, const tree::PrefixRankedTree < > &, const common::ranked_symbol < DefaultSymbolType, DefaultRankType > &, const ext::set < common::ranked_symbol < DefaultSymbolType, DefaultRankType > > & > ( ExactNonlinearTreePatternAutomaton::construct );

auto ExactNonlinearTreePatternAutomatonPrefixRankedBarTree = registration::AbstractRegister < ExactNonlinearTreePatternAutomaton, automaton::InputDrivenNPDA < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, char, ext::pair < unsigned, unsigned > >, const tree::PrefixRankedBarTree < > &, const common::ranked_symbol < DefaultSymbolType, DefaultRankType > &, const ext::set < common::ranked_symbol < DefaultSymbolType, DefaultRankType > > &, const common::ranked_symbol < DefaultSymbolType, DefaultRankType > & > ( ExactNonlinearTreePatternAutomaton::construct );

} /* namespace exact */

} /* namespace arbology */
