/*
 * ReversedQuickSearch.cpp
 *
 *  Created on: 21. 3. 2018
 *	  Author: Michal Cvach
 */

#include "ReversedQuickSearch.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace exact {

auto ReversedQuickSearchPrefixRankedBarTreePrefixRankedBarTree = registration::AbstractRegister < ReversedQuickSearch, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarTree < > & > ( ReversedQuickSearch::match );
auto ReversedQuickSearchPrefixRankedBarTreePrefixRankedBarPattern = registration::AbstractRegister < ReversedQuickSearch, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarPattern < > & > ( ReversedQuickSearch::match );
auto ReversedQuickSearchPrefixRankedBarTreePrefixRankedBarNonlinearPattern = registration::AbstractRegister < ReversedQuickSearch, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarNonlinearPattern < > & > ( ReversedQuickSearch::match );
auto ReversedQuickSearchPrefixRankedBarTreePrefixRankedTree = registration::AbstractRegister < ReversedQuickSearch, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const tree::PrefixRankedTree < > & > ( ReversedQuickSearch::match );
auto ReversedQuickSearchPrefixRankedBarTreePrefixRankedPattern = registration::AbstractRegister < ReversedQuickSearch, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const tree::PrefixRankedPattern < > & > ( ReversedQuickSearch::match );
auto ReversedQuickSearchPrefixRankedBarTreePrefixRankedNonlinearPattern = registration::AbstractRegister < ReversedQuickSearch, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const tree::PrefixRankedNonlinearPattern < > & > ( ReversedQuickSearch::match );

} /* namespace exact */

} /* namespace arbology */
