/*
 * SuffixTrieNaive.cpp
 *
 *  Created on: 1. 11. 2014
 *      Author: Tomas Pecka
 */

#include "SuffixTrieNaive.h"

#include <string/LinearString.h>
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto suffixTrieNaiveLinearString = registration::AbstractRegister < SuffixTrieNaive, indexes::stringology::SuffixTrie < DefaultSymbolType >, const string::LinearString < > & > ( SuffixTrieNaive::construct );

} /* namespace indexing */

} /* namespace stringology */
