/*
 * PositionHeapFactors.cpp
 *
 *  Created on: 2. 1. 2017
 *      Author: Jan Travnicek
 */

#include "PositionHeapFactors.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto PositionHeapFactorsLinearString = registration::AbstractRegister < PositionHeapFactors, ext::set < unsigned >, const indexes::stringology::PositionHeap < > &, const string::LinearString < > & > ( PositionHeapFactors::query );

} /* namespace query */

} /* namespace stringology */
