/*
 * CompactDFA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "CompactDFA.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/ComponentRegistration.hpp>

namespace {

static auto components = registration::ComponentRegister < automaton::CompactDFA < > > ( );

static auto valuePrinter = registration::ValuePrinterRegister < automaton::CompactDFA < > > ( );

static auto compactNFAFromDFA = registration::CastRegister < automaton::CompactDFA < >, automaton::DFA < > > ( );

} /* namespace */
