/*
 * FinalStateLabel.cpp
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travicek
 */

#include "FinalStateLabel.h"

#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>

namespace label {

FinalStateLabel::FinalStateLabel() {
}

int FinalStateLabel::compare(const FinalStateLabel&) const {
	return 0;
}

std::ostream & operator << ( std::ostream & out, const FinalStateLabel & ) {
	return out << "(FinalStateLabel)";
}

FinalStateLabel::operator std::string ( ) const {
	return FinalStateLabel::instance < std::string > ( );
}

} /* namespace label */

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < label::FinalStateLabel > ( );

} /* namespace */
