/*
 * UselessStatesRemover.cpp
 *
 *  Created on: 23. 3. 2014
 *	  Author: Tomas Pecka
 */

#include "UselessStatesRemover.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace simplify {

namespace efficient {

auto UselessStatesRemoverEpsilonNFA = registration::AbstractRegister < UselessStatesRemover, automaton::EpsilonNFA < >, const automaton::EpsilonNFA < > & > ( UselessStatesRemover::remove );
auto UselessStatesRemoverNFA = registration::AbstractRegister < UselessStatesRemover, automaton::NFA < > , const automaton::NFA < > & > ( UselessStatesRemover::remove );
auto UselessStatesRemoverCompactNFA = registration::AbstractRegister < UselessStatesRemover, automaton::CompactNFA < >, const automaton::CompactNFA < > & > ( UselessStatesRemover::remove );
auto UselessStatesRemoverExtendedNFA = registration::AbstractRegister < UselessStatesRemover, automaton::ExtendedNFA < >, const automaton::ExtendedNFA < > & > ( UselessStatesRemover::remove );
auto UselessStatesRemoverDFA = registration::AbstractRegister < UselessStatesRemover, automaton::DFA < >, const automaton::DFA < > & > ( UselessStatesRemover::remove );
auto UselessStatesRemoverMultiInitialStateNFA = registration::AbstractRegister < UselessStatesRemover, automaton::MultiInitialStateNFA < >, const automaton::MultiInitialStateNFA < > & > ( UselessStatesRemover::remove );

} /* namespace efficient */

} /* namespace simplify */

} /* namespace automaton */
